version: '3.3'

networks:
  app-tier:
    driver: overlay

services:
#  maria-main-db:
#    image: bitnami/mariadb:latest
#    restart: always
#    logging:
#      driver: "json-file"
#      options:
#        max-file: "2"
#        max-size: "5m"
#    container_name: maria-main-db
#    networks:
#      - app-tier
#    restart: always
#    volumes:
#      - "./db/main:/bitnami/mariadb/data:rw"
#      - "/etc/localtime:/etc/localtime:ro"

#    environment:
#      MARIADB_ROOT_USER: master
#      MARIADB_ROOT_PASSWORD: JFuR58K3WrAHzIj6T2daehz8R1hLcCmb
#      MARIADB_CHARACTER_SET: utf8mb4
#      MARIADB_COLLATE: utf8mb4_general_ci
#      MARIADB_USER: application
#      MARIADB_PASSWORD: Cy9mM314K7RPjqbZN2
#      MARIADB_DATABASE: db_main
#      MARIADB_REPLICATION_MODE: master
#      MARIADB_REPLICATION_USER: replica
#      MARIADB_REPLICATION_PASSWORD: h28RNFRj3BuxGnF8sY
#    ports:
#      - 42004:3306

#####################################################################
#####################################################################
#
#                                Кеш
#
#####################################################################
#####################################################################
  memcached:
    image: memcached:latest
    container_name: memcached
    restart: always
    command:
      - '--memory-limit=128'
    volumes:
      - "/etc/localtime:/etc/localtime:ro"
    networks:
      - app-tier


#####################################################################
#####################################################################
#
#                          Контейнеры с php
#
#####################################################################
#####################################################################

  tracecatch:
    image: registry.appworks.ru/infra/php-fpm:7.4
    logging:
      driver: "json-file"
      options:
        max-file: "2"
        max-size: "5m"
    container_name: tracecatch
    restart: on-failure
    networks:
      - app-tier
    privileged: true
    ports:
      - 34599:9000
    volumes:
      - "/etc/localtime:/etc/localtime:ro"
    links:
      - memcached
